{
  "extends": "expo/tsconfig.base",
  "compilerOptions": {
    "strict": true,
    "baseUrl": ".",
    "paths": {
      "@/*": ["src/*"],
      "@/components/*": ["src/components/*"],
      "@/hooks/*": ["src/hooks/*"],
      "@/database/*": ["src/database/*"],
      "@/models/*": ["src/models/*"],
      "@/constants/*": ["src/constants/*"],
      "@/types/*": ["src/types/*"],
      "@/utils/*": ["src/utils/*"]
    },
    "experimentalDecorators": true,
    "emitDecoratorMetadata": true,
    "skipLibCheck": true,
    "resolveJsonModule": true,
    "allowSyntheticDefaultImports": true,
    "esModuleInterop": true,
    "jsx": "react-native",
    "moduleResolution": "bundler",
    "moduleSuffixes": [".ios", ".android", ".web", ".native", ""],
    "noEmit": true,
    "ignoreDeprecations": "6.0"
  },
  "exclude": ["node_modules"]
}